﻿@using Mandiri.Lelang.WebAdminUI.Utility
@model Mandiri.Lelang.ViewModel.MinMaxPriceViewModel

@{
    AjaxOptions submitAjaxOptions = new AjaxOptions();
    submitAjaxOptions.OnBegin = "OnAjaxRequestBegin";
    submitAjaxOptions.OnFailure = "OnAjaxRequestFailure";
    submitAjaxOptions.OnSuccess = "OnAjaxRequestSuccess";
    submitAjaxOptions.UpdateTargetId = "validation-summary";
}

<div class="container" id="divAddForm">
    <div class="page-header">
        <h1>Harga Minimum/Maksimum <small>(Tambah atau Edit Harga Minimum/Maksimum)</small></h1>
    </div>
    @using (Ajax.BeginForm("MinMaxPrice", "Master", ajaxOptions: submitAjaxOptions, htmlAttributes: new { id = "addForm", role = "form", autocomplete = "off" }))
    {
        <div class="col-md-5">
            @Html.AntiForgeryToken()
            @Html.Partial("_ValidationSummary")
            <div class="form-group">
                @Html.LabelFor(m => m.MinMaxPriceID, new { @class = "control-label" })
                <div class="controls">
                    @if (Model.IsEditMode)
                    {
                        <p class="form-control-static">@Html.ValueFor(m => m.MinMaxPriceID)</p>
                    }
                    else
                    {
                        <p class="form-control-static">(Auto)</p>
                    }
                    @Html.HiddenFor(m => m.MinMaxPriceID)
                    @Html.HiddenFor(m => m.IsEditMode)
                </div>
            </div>
            @Html.EditorFor(m => m.Name, additionalViewData: new { placeholder = "Required", autofocus = "autofocus" })
            @Html.EditorFor(m => m.Description, additionalViewData: new { placeholder = "Optional" })
            @Html.EditorFor(m => m.Value, additionalViewData: new { placeholder = "Required", autofocus = "autofocus" })
            <button type="submit" class="btn btn-primary">Save</button>
            @Html.ActionLink("Kembali ke List", "MinMaxPrice", "Master", null, new { @class = "btn btn-default" })

            <script type="text/javascript">
                bindValidator("addForm");
            </script>
        </div>
    }
</div>
